/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.content.dashboard.item.action.provider;

import com.liferay.content.dashboard.item.action.ContentDashboardItemVersionAction;
import com.liferay.content.dashboard.item.action.exception.ContentDashboardItemVersionActionException;

import javax.servlet.http.HttpServletRequest;

/**
 * @author Stefan Tanasie
 */
public interface ContentDashboardItemVersionActionProvider<T> {

	public ContentDashboardItemVersionAction
			getContentDashboardItemVersionAction(
				T t, HttpServletRequest httpServletRequest)
		throws ContentDashboardItemVersionActionException;

	public boolean isShow(T t, HttpServletRequest httpServletRequest);

}