/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.content.dashboard.item.filter;

import com.liferay.frontend.taglib.clay.servlet.taglib.util.DropdownItem;

import java.util.List;
import java.util.Locale;

/**
 * @author Cristina González
 */
public interface ContentDashboardItemFilter {

	public DropdownItem getDropdownItem();

	public String getIcon();

	public String getLabel(Locale locale);

	public String getName();

	public String getParameterLabel(Locale locale);

	public String getParameterName();

	public List<String> getParameterValues();

	public Type getType();

	public String getURL();

	public enum Type {

		ITEM_SELECTOR

	}

}